public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: sys-auth/polkit-qt/
Date: Tue, 11 Oct 2022 16:21:54 +0000 (UTC)	[thread overview]
Message-ID: <1665505302.ac12bc48e2ad23d7cb9ddc5e4ce287e1efc94585.asturm@gentoo> (raw)

commit:     ac12bc48e2ad23d7cb9ddc5e4ce287e1efc94585
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 11 16:17:28 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Oct 11 16:21:42 2022 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=ac12bc48

sys-auth/polkit-qt: Add IUSE qt6

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-auth/polkit-qt/polkit-qt-9999.ebuild | 40 ++++++++++++++++++++++++--------
 1 file changed, 30 insertions(+), 10 deletions(-)

diff --git a/sys-auth/polkit-qt/polkit-qt-9999.ebuild b/sys-auth/polkit-qt/polkit-qt-9999.ebuild
index a6777dd47d..76b8d6b220 100644
--- a/sys-auth/polkit-qt/polkit-qt-9999.ebuild
+++ b/sys-auth/polkit-qt/polkit-qt-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=8
 
 KDE_ORG_CATEGORY="libraries"
 KDE_ORG_NAME="polkit-qt-1"
-inherit cmake kde.org
+inherit cmake kde.org multibuild
 
 DESCRIPTION="Qt wrapper around polkit-1 client libraries"
 HOMEPAGE="https://api.kde.org/polkit-qt-1/html/"
@@ -17,24 +17,44 @@ fi
 
 LICENSE="LGPL-2"
 SLOT="0"
-IUSE=""
+IUSE="+qt5 qt6"
+REQUIRED_USE="|| ( qt5 qt6 )"
 
 RDEPEND="
 	dev-libs/glib:2
-	dev-qt/qtcore:5
-	dev-qt/qtdbus:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
 	>=sys-auth/polkit-0.103
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtdbus:5
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+	)
+	qt6? ( dev-qt/qtbase:6[dbus,gui,widgets] )
 "
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
 
 DOCS=( AUTHORS README README.porting TODO )
 
+pkg_setup() {
+	MULTIBUILD_VARIANTS=( $(usev qt5) $(usev qt6) )
+}
+
 src_configure() {
-	local mycmakeargs=(
-		-DBUILD_EXAMPLES=OFF
-	)
-	cmake_src_configure
+	myconfigure() {
+		local mycmakeargs=(
+			-DBUILD_EXAMPLES=OFF
+			-DQT_MAJOR_VERSION=${MULTIBUILD_VARIANT/qt/}
+		)
+		cmake_src_configure
+	}
+	multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+	multibuild_foreach_variant cmake_src_compile
+}
+
+src_install() {
+	multibuild_foreach_variant cmake_src_install
 }


             reply	other threads:[~2022-10-11 16:21 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-11 16:21 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-09 14:39 [gentoo-commits] proj/kde:master commit in: sys-auth/polkit-qt/ Andreas Sturmlechner
2022-02-21 16:55 Andreas Sturmlechner
2022-02-21 16:55 Andreas Sturmlechner
2022-02-21 16:55 Andreas Sturmlechner
2022-02-21 16:01 Andreas Sturmlechner
2022-02-21 15:58 Andreas Sturmlechner
2020-05-23 22:00 Andreas Sturmlechner
2019-11-13 21:46 Andreas Sturmlechner
2019-10-16 23:04 Andreas Sturmlechner
2019-08-30  7:12 Andreas Sturmlechner
2018-10-13 12:11 Andreas Sturmlechner
2018-03-19 20:52 Johannes Huber
2018-03-19 20:52 Johannes Huber
2017-11-11 18:39 Andreas Sturmlechner
2017-08-30 21:42 Andreas Sturmlechner
2016-07-06 13:15 Michael Palimaka
2016-03-22 12:03 Johannes Huber
2015-01-30 20:54 Johannes Huber
2014-07-30 23:45 Johannes Huber
2014-07-22 18:01 Johannes Huber
2014-07-22 13:30 Michael Palimaka
2014-07-22 13:28 Michael Palimaka
2014-07-09 12:21 Michael Palimaka
2014-05-15 11:55 Michael Palimaka
2013-10-13 17:03 Johannes Huber
2013-08-01  6:09 Michael Palimaka
2013-08-01  6:01 Michael Palimaka
2012-07-14 18:01 Michael Palimaka
2011-12-16 23:13 Johannes Huber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665505302.ac12bc48e2ad23d7cb9ddc5e4ce287e1efc94585.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox